Bug 1029289 - [FEAT] provide an option "bricks" in "gluster volume status" command
[FEAT] provide an option "bricks" in "gluster volume status" command
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
glusterd
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 00:22 EST by spandura
Modified: 2015-12-24 04:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 04:44:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandura 2013-11-12 00:22:48 EST
Description of problem:
========================
It would be helpful if we have an option with name "bricks" which will show only the brick process for the volume like we have option "clients" in "volume status" command. 

Currently we have an option for getting the status of the single brick with "gluster volume status <volume_name> <BRICK>" . But every time we have to type the complete brick path to use this command. If we have a single keyword "bricks" which will give all the bricks status it will be more useful. 

Version-Release number of selected component (if applicable):
==============================================================
glusterfs 3.4.0.35.1u2rhs built on Oct 21 2013 14:00:58
Comment 2 Atin Mukherjee 2015-12-24 04:44:50 EST
Why can't we parse the output of gluster volume status and filter out bricks information, that should solve your case. I am closing this bug with the given comment, feel free to reopen if you think otherwise.

Note You need to log in before you can comment on or make changes to this bug.